@font-face {
    font-family: 'Rocher';
    src: url(https://assets.codepen.io/9632/RocherColorGX.woff2);
}

/* basic styles for black background and crosshair cursor */
body {
    background: #215c71;
    margin: 0;
}

canvas {
    cursor: crosshair;
    display: block;
}

.divRelative{
    position: relative;
}

.divAbsolute{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    z-index: -1;
}

.textFight{
    font-family: 'Rocher';
    font-size: 25px;
}

.none{
    display: none;
}


.mt-1{
    margin-top: 15px;
}
.middle{
    display: flex;
    justify-content: center;
}

/* Basic styles */
*,
*::before,
*::after {
    box-sizing: border-box;
}

:root{
    --bg-color: #215c71;
}


h1{
    font-size: 3em;
    font-weight: normal;
    margin-bottom: 30px;
}

/* title styles */
.home-title span{
    font-family: 'Maitree', serif;
    position: relative;
    overflow: hidden;
    display: block;
    line-height: 1.2;
}

.home-title span::after{
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: white;
    animation: a-ltr-after 2s cubic-bezier(.77,0,.18,1) forwards;
    transform: translateX(-101%);
}

.home-title span::before{
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: var(--bg-color);
    animation: a-ltr-before 2s cubic-bezier(.77,0,.18,1) forwards;
    transform: translateX(0);
}

.home-title span:nth-of-type(1)::before,
.home-title span:nth-of-type(1)::after{
    animation-delay: 1s;
}

.home-title span:nth-of-type(2)::before,
.home-title span:nth-of-type(2)::after{
    animation-delay: 1.5s;
}

@keyframes a-ltr-after{
    0% {transform: translateX(-100%)}
    100% {transform: translateX(101%)}
}

@keyframes a-ltr-before{
    0% {transform: translateX(0)}
    100% {transform: translateX(200%)}
}


/* Arène pokemon */

.middlePokemon{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 98vh;
    width: 200vh;
}

.arena {
    margin-top: 20px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 50vw;
    height: 50vh;
    background-color: #282828;
    border-radius: 20px;
    padding: 20px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
}

.pokemon {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    text-align: center;
    color: #fff;
}

.pokemon img {
    width: 200px;
    height: 200px;
}

/*Arrow button*/

.arrow-button {
    display: flex;
    color: #C2FFE9;
    background-color: #00E692;
    padding: 14px 20px;
    border-radius: 20px;
    transition: all .3s ease;
    font-weight: bold;
    cursor: pointer;
    align-items: center;
    font-size: 14px;
}

.arrow-button > .arrow {
    width: 6px;
    height: 6px;
    border-right: 2px solid #C2FFE9;
    border-bottom: 2px solid #C2FFE9;
    position: relative;
    transform: rotate(-45deg);
    margin: 0 6px;
    transition: all .3s ease;
}

.arrow-button > .arrow::before {
    display: block;
    background-color: currentColor;
    width: 3px;
    transform-origin: bottom right;
    height: 2px;
    position: absolute;
    opacity: 0;
    bottom: calc(-2px / 2);
    transform: rotate(45deg);
    transition: all .3s ease;
    content: "";
    right: 0;
}

.arrow-button:hover > .arrow {
    transform: rotate(-45deg) translate(4px, 4px);
    border-color: text-hover-color;
}

.arrow-button:hover > .arrow::before {
    opacity: 1;
    width: 8px;
}

.arrow-button:hover {
    background-color: #017A4F;
    color: #fff;
}
